Subject: [martini] Draft PROTO writeup for MARTINI Requirements Document

From: "Bernard Aboba" <[email-masked]>
Date: Tue, 4 May 2010 12:13:23 -0700

PROTO Writeup for draft-ietf-martini-reqs

=================================================

http://tools.ietf.org/html/draft-ietf-martini-reqs

   (1.a)  Who is the Document Shepherd for this document?  Has the

      Document Shepherd personally reviewed this version of the document

      and, in particular, does he or she believe this version is ready

      for forwarding to the IESG for publication?

Bernard Aboba is the document shepherd.  I have personally reviewed

the document, and believe it is ready for publication as an Informational
RFC. 

   (1.b)  Has the document had adequate review both from key members of

      the interested community and others?  Does the Document Shepherd

      have any concerns about the depth or breadth of the reviews that

      have been performed?

The document has been extensively discussed on the MARTINI WG mailing list.
The discussion has

included representatives from both the PBX and service-provider communities
as well as 

participants in 3GPP and SIPForum.  As a result, the reviews appear to have
been

reasonably thorough and representative. 

   (1.c)  Does the Document Shepherd have concerns that the document

      needs more review from a particular or broader perspective, e.g.,

      security, operational complexity, someone familiar with AAA,

      internationalization or XML?

No concerns. 

   (1.d)  Does the Document Shepherd have any specific concerns or

      issues with this document that the Responsible Area Director

      and/or the IESG should be aware of?  For example, perhaps he or

      she is uncomfortable with certain parts of the document, or has

      concerns whether there really is a need for it.  In any event, if

      the interested community has discussed those issues and has

      indicated that it still wishes to advance the document, detail

      those concerns here.

No concerns.

   (1.e)  How solid is the consensus of the interested community behind

      this document?  Does it represent the strong concurrence of a few

      individuals, with others being silent, or does the interested

      community as a whole understand and agree with it?

There has been vigorous discussion in a number of the requirements included
in the document, 

but those issues have been resolved.  As a result, there appears to be
strong consensus behind

the document, and the working group is using the requirements in evaluating
proposed 

protocol solutions. 

   (1.f)  Has anyone threatened an appeal or otherwise indicated extreme

      discontent?  If so, please summarise the areas of conflict in

      separate email messages to the Responsible Area Director.  (It

      should be in a separate email because this questionnaire is

      entered into the ID Tracker.) 

No. 

   (1.g)  Has the Document Shepherd personally verified that the

      document satisfies all ID nits?  (See

      http://www.ietf.org/ID-Checklist.html and

      http://tools.ietf.org/tools/idnits/).  Boilerplate checks are not

      enough; this check needs to be thorough.  Has the document met all

      formal review criteria it needs to, such as the MIB Doctor, media

      type and URI type reviews?

IDNits are clean:

idnits 2.12.02 

tmp/draft-ietf-martini-reqs-05.txt:

  Checking boilerplate required by RFC 5378 and the IETF Trust (see

  http://trustee.ietf.org/license-info):

----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/1id-guidelines.txt:

----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/checklist :

----------------------------------------------------------------------------

     No issues found here.

  Miscellaneous warnings:

----------------------------------------------------------------------------

     No issues found here.

  Checking references for intended status: Informational

----------------------------------------------------------------------------

     No issues found here.

     No nits found.

----------------------------------------------------------------------------
----

   (1.h)  Has the document split its references into normative and

      informative?  Are there normative references to documents that are

      not ready for advancement or are otherwise in an unclear state?

      If such normative references exist, what is the strategy for their

      completion?  Are there normative references that are downward

      references, as described in [RFC3967]?  If so, list these downward

      references to support the Area Director in the Last Call procedure

      for them [RFC3967].

The references in the document have been split into normative and
informative. 

Normative references are all stable documents published as RFCs.

   (1.i)  Has the Document Shepherd verified that the document IANA

      consideration section exists and is consistent with the body of

      the document?  If the document specifies protocol extensions, are

      reservations requested in appropriate IANA registries?  Are the

      IANA registries clearly identified?  If the document creates a new

      registry, does it define the proposed initial contents of the

      registry and an allocation procedure for future registrations?

      Does it suggested a reasonable name for the new registry?  See

      [I-D.narten-iana-considerations-rfc2434bis].  If the document

      describes an Expert Review process has Shepherd conferred with the

     Responsible Area Director so that the IESG can appoint the needed

      Expert during the IESG Evaluation?

The IANA Considerations section exists (section 7).  It requires no action
by IANA. 

   (1.j)  Has the Document Shepherd verified that sections of the

      document that are written in a formal language, such as XML code,

      BNF rules, MIB definitions, etc., validate correctly in an

      automated checker?

Not applicable.

   (1.k)  The IESG approval announcement includes a Document

      Announcement Write-Up.  Please provide such a Document

      Announcement Writeup?  Recent examples can be found in the

      "Action" announcements for approved documents.  The approval

      announcement contains the following sections:

      Technical Summary

This document summarizes the requirements for a mechanism to enable 

registration of multiple addresses of record within SIP.   The goal

is to produce a mechanism  suitable for deployment by SIP service 

providers on a large scale in support of small to medium sized PBXs.

      Working Group Summary

The WG discussed the issue of E.164/non-E.164 AORs in considerable depth,
and concluded that

extensibility to handle non-E.164 AORs (such as private numbers and
email-style addresses)

was important.   

      Document Quality

The document has been reviewed by participants within the IETF MARTINI WG,
including SIP

service providers as well as representatives from the PBX vendor community.
It has gone

through MARTINI WG last call, with only modest changes resulting. 

      Personnel

Bernard Aboba is the document shepherd for this document. 

Gonzalo Camarillo is the responsible AD.

---

From: "Spencer Dawkins" <[email-masked]>
Date: Wed, 5 May 2010 04:08:18 -0500

Just to provide context... we're at zero open issues on the requirements 
draft after working group last call, and we've decided not to put anything 
in the requirements draft about bulk registration working the same way as 
multiple individual registrations, which was the last relevant mailing list 
topic, so we're planning to request publication of this draft Real Soon Now.

We are planning to do the same thing with solutions drafts as they hit zero 
open issues after working group last call, so please be prepared to move 
pretty quickly. Not that "move pretty quickly" is new...

Thanks,

Spencer, as co-chair

----- Original Message ----- 
From: Bernard Aboba
To: [email-masked]
Sent: Tuesday, May 04, 2010 2:13 PM
Subject: [martini] Draft PROTO writeup for MARTINI Requirements Document

No concerns.

No concerns.

No.

IDNits are clean:

idnits 2.12.02

     No issues found here.

     No issues found here.

     No issues found here.

  Miscellaneous warnings:

     No issues found here.

     No issues found here.

     No nits found.
--------------------------------------------------------------------------------

Not applicable.

      Working Group Summary

      Document Quality

      Personnel

_______________________________________________
martini mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/martini

---

From: Hans Erik van Elburg <[email-masked]>
Date: Wed, 5 May 2010 19:06:07 +0200

Hi Bernard, Spencer,

How much time do people get to do a full reread of the latest
requirements draft, for which a new version was just been submitted
yesterday.

After the main issues are resolved people may want to propose less
major improvements to text, to make it really ready for publication.

What is the process? When does WGLC end?

/Hans Erik van Elburg

On Wed, May 5, 2010 at 11:08 AM, Spencer Dawkins
<[email-masked]> wrote:
> ----- Original Message ----- From: Bernard Aboba
> To: [email-masked]

---

From: "Elwell, John" <[email-masked]>
Date: Thu, 6 May 2010 08:42:04 +0200

Hans Erik,

The chairs can correct me if I am wrong, but WGLC finished back in March, and since then we have just been fixing the outstanding issues. There seemed to be consensus on the call last week that there were no further issues and that it was ready to go.

John 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Hans Erik van Elburg
> Sent: 05 May 2010 18:06
> To: Spencer Dawkins
> Cc: Bernard Aboba; [email-masked]
> Subject: Re: [martini] Draft PROTO writeup for MARTINI 
> Requirements Document
> 
> Hi Bernard, Spencer,
> 
> >  Checking nits according to 
> http://www.ietf.org/id-info/1id-guidelines.txt:
> >

---

From: Hans Erik van Elburg <[email-masked]>
Date: Thu, 6 May 2010 10:15:40 +0200

Yes in principle, but the version that is now being forwarded was not
available at that time. It is hard to do a consistency read on a draft
that is not available.

/Hans Erik van Elburg

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Thu, 6 May 2010 12:40:43 +0200

For the record, I do not believe that question was asked or answered on the call. Nor do I believe it has been asked on the list.

Keith 

> [mailto:[email-masked]] On Behalf Of Elwell, John
> Sent: Thursday, May 06, 2010 7:42 AM
> To: Hans Erik van Elburg; Spencer Dawkins
> The chairs can correct me if I am wrong, but WGLC finished 
> back in March, and since then we have just been fixing the 
> outstanding issues. There seemed to be consensus on the call 
> last week that there were no further issues and that it was 
> ready to go.
> 
> John 
> 
> > Subject: Re: [martini] Draft PROTO writeup for MARTINI Requirements 
> > Document
> > 
> > Hi Bernard, Spencer,
> > 
> http://www.ietf.org/id-info/checklist :
> > >  
> > > email-style addresses) was important.
> > >
> > >     Document Quality
> > >